Bug 480534 - system-config-display wouldn't start
system-config-display wouldn't start
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
: 477993 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-18 09:06 EST by michael
Modified: 2009-12-18 02:38 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:38:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description michael 2009-01-18 09:06:58 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:

system-config-display wouldn't start
The report in terminal is:

Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 312, in <module>
    hardware_state = XF86HardwareState(xconfig)
  File "/usr/lib/python2.5/site-packages/rhpxl/xhwstate.py", line 174, in __init__
    self.init_from_xconfig(xconfig)
  File "/usr/lib/python2.5/site-packages/rhpxl/xhwstate.py", line 260, in init_from_xconfig
    if screen.device:
AttributeError: 'NoneType' object has no attribute 'device'


Expected results:


Additional info:
Comment 1 Michał Rudowicz 2009-01-27 03:35:48 EST
Confirming, I have the same error as above.
Comment 2 Flóki Pálsson 2009-01-27 18:59:52 EST
ok
system-config-display-1.1.1-1.fc10.noarch
kernel-2.6.27.12-170.2.5.fc10.x86_64
Comment 3 zingale 2009-02-02 12:04:34 EST
I have the same problem.  I'll add that I've installed the livna nvidia drivers.  I am not sure if that is part of the problem, as I never tested system-config-display without those drivers.
Comment 4 Adam Jackson 2009-02-08 02:43:46 EST
What version of rhpxl are you seeing this with?
Comment 5 Michał Rudowicz 2009-02-08 04:13:00 EST
rhpxl - 1.9-3.fc10(x86_64)
Comment 6 Ankur Sinha (FranciscoD) 2009-02-08 04:51:08 EST
hi,

I have the same problem.On running s-c-d from terminal this is what i get.

[root@Ankur ~]# system-config-display 
Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 312, in <module>
    hardware_state = XF86HardwareState(xconfig)
  File "/usr/lib64/python2.5/site-packages/rhpxl/xhwstate.py", line 174, in __init__
    self.init_from_xconfig(xconfig)
  File "/usr/lib64/python2.5/site-packages/rhpxl/xhwstate.py", line 260, in init_from_xconfig
    if screen.device:
AttributeError: 'NoneType' object has no attribute 'device'

I have livna-config-display installed (because of kmod-nvidia from rpmfusion?)

Please request any further info you need.
Comment 7 François Cami 2009-02-08 04:56:27 EST
michael@kroosh.com ,
Could you please confirm that you're still seeing the bug and run
rpm -q rhpxl
on your system and report the version ?
Thank you
Comment 8 michael 2009-02-08 10:42:23 EST
rhpxl-1.9-3.fc10.i386

The bug is still there
Comment 9 sangu 2009-02-15 06:33:07 EST
in rawhide
$ rpm -q system-config-display rhpxl
system-config-display-1.1.3-1.fc11.noarch
rhpxl-1.12-1.fc11.x86_64

$ system-config-display 
Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 376, in <module>
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig, rhpxl.videocard.VideoCardInfo())
  File "/usr/share/system-config-display/xConfigDialog.py", line 641, in __init__
    if len(self.xconfig.layout[0].adjacencies) >
Comment 10 Sandro Mathys 2009-03-13 10:54:26 EDT
I can confirm this too:

$ rpm -qa rhpxl system-config-display
rhpxl-1.9-3.fc10.i386
system-config-display-1.1.1-1.fc10.noarch

$ sudo system-config-display
Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 312, in <module>
    hardware_state = XF86HardwareState(xconfig)
  File "/usr/lib/python2.5/site-packages/rhpxl/xhwstate.py", line 174, in __init__
    self.init_from_xconfig(xconfig)
  File "/usr/lib/python2.5/site-packages/rhpxl/xhwstate.py", line 260, in init_from_xconfig
    if screen.device:
AttributeError: 'NoneType' object has no attribute 'device'
Comment 11 Adam Williamson 2009-04-02 12:10:05 EDT
*** Bug 477993 has been marked as a duplicate of this bug. ***
Comment 12 Panormitis Petrou 2009-04-23 00:08:07 EDT
I have the same problem too. I'm using Fedora 11 beta, my rhpxl version is rhpxl-1.12-2.fc11.x86_64
Comment 13 jd1008 2009-05-21 16:25:09 EDT
After a full yum update on Fedora 10, I am having the very same problem
reported by this bug. What makes this bug so annoying is that I am running FC10
under 
virtualbox. The default display size of the screen is tiny!!!
I am unable to expandit, enlarge it or re-config it.
F11 is about to be released, and there is still no fix for this bug in F10!!!
Well, I guess Fedora is permanently experimental :)
Comment 14 Christoph Wickert 2009-05-31 07:26:29 EDT
For me everything worked fine, until I updated to rhpxl-1.9-3.fc10.
Comment 15 RJ 2009-06-30 07:45:57 EDT
same error as in #9
Comment 16 RJ 2009-11-06 06:51:51 EST
the bug is still here in Fedora 11.
Comment 17 jd1008 2009-11-06 11:11:30 EST
I have Fedora 11 - Installed it a few months ago.
There is no longer /usr/bin/system-config-display

It simply does not exist in my installation.

There does exist /usr/bin/gnome-display-properties

which does not have the same controls as system-config-display
used to have.

I guess this might be the new way of how do deal with a bug report:
delete the buggy program altogether :)

The question is who deleted it from the FC11 distro:
the gnome project or the xorg project??
Not sure who was the original creator/disseminator of it.
Comment 18 jd1008 2009-11-06 11:25:58 EST
(In reply to comment #17)
> I have Fedora 11 - Installed it a few months ago.
> There is no longer /usr/bin/system-config-display
> 
> It simply does not exist in my installation.
> 
> There does exist /usr/bin/gnome-display-properties
> 
> which does not have the same controls as system-config-display
> used to have.
> 
> I guess this might be the new way of how do deal with a bug report:
> delete the buggy program altogether :)
> 
> The question is who deleted it from the FC11 distro:
> the gnome project or the xorg project??
> Not sure who was the original creator/disseminator of it.  

For some reason, it was not installed on my installation, even though
I had leterally selected every single package on the DVD (via the insallation menus).

So, my above comments are clearly wrong.

I installed it manually:
system-config-display.noarch 0:1.1.3-2.fc11
rhpxl.i586 0:1.12-2.fc11

and it is working just fine. No problems here.

Again, sorry for my previous comment.
Comment 19 jd1008 2009-11-06 11:33:43 EST
(In reply to comment #18)
> (In reply to comment #17)
> > I have Fedora 11 - Installed it a few months ago.
> > There is no longer /usr/bin/system-config-display
> > 
> > It simply does not exist in my installation.
> > 
> > There does exist /usr/bin/gnome-display-properties
> > 
> > which does not have the same controls as system-config-display
> > used to have.
> > 
> > I guess this might be the new way of how do deal with a bug report:
> > delete the buggy program altogether :)
> > 
> > The question is who deleted it from the FC11 distro:
> > the gnome project or the xorg project??
> > Not sure who was the original creator/disseminator of it.  
> 
> For some reason, it was not installed on my installation, even though
> I had leterally selected every single package on the DVD (via the insallation
> menus).
> 
> So, my above comments are clearly wrong.
> 
> I installed it manually:
> system-config-display.noarch 0:1.1.3-2.fc11
> rhpxl.i586 0:1.12-2.fc11
> 
> and it is working just fine. No problems here.
> 
> Again, sorry for my previous comment.  

I revisted the installation DVD for FC11:

$ pwd
/media/Fedora 11 i386 DVD/Packages
$ ls -l *system-config-display*
/bin/ls: cannot access *system-config-display*: No such file or directory
$ 

So, for some reason it was ommitted from the installation ISO.
Comment 20 Bug Zapper 2009-11-18 05:47:36 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Bug Zapper 2009-12-18 02:38:52 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.